NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Formboard.FlipComponentBuilder Class Reference

Builder for flip component operation used in formboard. More...

Inheritance diagram for NXOpen.Formboard.FlipComponentBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AxisType { PathLocations, Custom }
 Enum for the selection of axis type for flipping formboard component More...
 

Public Member Functions

unsafe NXOpen.NXObject[] CreateDatumAxis ()
 Creates datums axis at locations where selected formboard component is connected to path. More...
 
unsafe void FlipComponent ()
 Flips the selected formboard component by rotation angle about selected axis. More...
 
unsafe void InitializeFromComponent ()
 Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation. More...
 
unsafe void SetRotationAngle (double angle)
 Set the angle to rotate the component. More...
 
unsafe void StartDrag ()
 Starts the drag operation of selected object. More...
 
unsafe void StopDrag ()
 Stop the drag operation of selected object. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Formboard.FlipComponentBuilder.AxisType 
AxisTypeEnum [get, set]
 Returns or sets the user selected NXOpen.Formboard.FlipComponentBuilder.AxisType method More...
 
unsafe NXOpen.SelectNXObject CompSel [get]
 Returns the formboard component selected by user for flipping operation More...
 
unsafe NXOpen.Axis CustomAxis [get, set]
 Returns or sets the custom axis which is created when NXOpen.Formboard.FlipComponentBuilder.AxisType is NXOpen.Formboard.FlipComponentBuilder.AxisType.Custom More...
 
unsafe NXOpen.SelectNXObject PathAxisSel [get]
 Returns the axis selected by user about which selected formboard component will be flipped. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for flip component operation used in formboard.

Allows user to flip the component by 180 degrees about an axis which is orthogonal to Z axis so that after flipping , the component lies in XY plane.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateFlipComponentBuilder

Default values.

Property Value

AxisTypeEnum

PathLocations

Created in NX7.5.0

Member Enumeration Documentation

Enum for the selection of axis type for flipping formboard component

Enumerator
PathLocations 

Flip component by path locations

Custom 

Flip component by user defined custom axis

Member Function Documentation

unsafe NXOpen.NXObject [] NXOpen.Formboard.FlipComponentBuilder.CreateDatumAxis ( )
inline

Creates datums axis at locations where selected formboard component is connected to path.

Created in NX4.0.0

License requirements: routing_harness ("Routing Harness")

Returns
unsafe void NXOpen.Formboard.FlipComponentBuilder.FlipComponent ( )
inline

Flips the selected formboard component by rotation angle about selected axis.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.FlipComponentBuilder.InitializeFromComponent ( )
inline

Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.FlipComponentBuilder.SetRotationAngle ( double  angle)
inline

Set the angle to rotate the component.

Created in NX7.5.3

License requirements: routing_harness ("Routing Harness")

Parameters
angleRotation angle
unsafe void NXOpen.Formboard.FlipComponentBuilder.StartDrag ( )
inline

Starts the drag operation of selected object.

Does nothing if drag has already been started.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.FlipComponentBuilder.StopDrag ( )
inline

Stop the drag operation of selected object.

Does nothing if drag has not been started.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Property Documentation

unsafe NXOpen.Formboard.FlipComponentBuilder.AxisType NXOpen.Formboard.FlipComponentBuilder.AxisTypeEnum
getset

Returns or sets the user selected NXOpen.Formboard.FlipComponentBuilder.AxisType method

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.SelectNXObject NXOpen.Formboard.FlipComponentBuilder.CompSel
get

Returns the formboard component selected by user for flipping operation

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Axis NXOpen.Formboard.FlipComponentBuilder.CustomAxis
getset

Returns or sets the custom axis which is created when NXOpen.Formboard.FlipComponentBuilder.AxisType is NXOpen.Formboard.FlipComponentBuilder.AxisType.Custom

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.SelectNXObject NXOpen.Formboard.FlipComponentBuilder.PathAxisSel
get

Returns the axis selected by user about which selected formboard component will be flipped.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.